Bug 178235 - Dual head does not work with GeForce 6800GT
Dual head does not work with GeForce 6800GT
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 14:00 EST by Bernd Bartmann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-20 06:39:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2006-01-18 14:00:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I installed FC5T2 using a single DVI display connected to my NVIDIA GeForce 6800GT graphics card. Everything is ok as long as only one display is connected to the card. Then I tried to connect a second display to the VGA connector. Now when the system boots and the graphical boot process begin the primary DVI display get red and the secondary VGA display shows multiple vertical stripes of different colors.

When I try to switch to a text console both displays show vertical white stripes.

Then I tried to boot the system with rhgb disabled and runlevel 3. The system comes up with a correct display of the text console on both displays. Trying to run system-config-display results in the DVI display getting black and the VGA display again showing multiple vertical stripes of different colors. I can't get  back to a working display of the text console again.

After disconnecting the VGA display and rebooting everything is ok again. Looks  like the card initialization for graphics modes in case of dual head is broken. 

It should be noted that this also happens on FC4 + all current updates.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try to get a dual head display running using a GeForce 6800GT card
2.
3.
  

Additional info:
Comment 1 Mike A. Harris 2006-01-20 06:39:47 EST
Yep, unfortunately the "nv" driver does not support dualhead operation yet,
so connecting multiple displays will result in undefined operation.  There
is a new Nvidia employee now working on the "nv" driver upstream, however
I'm not sure if he plans on adding multihead support to the driver in the
future or not.

If you use multiple separate cards however, then dualhead should work, but
it wont work with 2 heads on one card with the 'nv' driver.

You might want to file a feature enhancement request to X.Org bugzilla
for dualhead support in 'nv' though.  Not sure what nvidia's plans are,
but it probably doesn't hurt to see the feature requested there more...
perhaps if they see enough interest they'll implement it sometime soon. ;o)

TTYL
Comment 2 Bernd Bartmann 2006-01-20 12:39:11 EST
Opened up a RFE on freedesktop.org Bugzilla for x.org component driver/nvidia
(open). It has bug #5672.

Note You need to log in before you can comment on or make changes to this bug.